import { Logger } from "./logging";
import { ConfigVars } from "./config";
import { Service } from "./service";
export { Service as MqttService } from "./service";
export interface Options {
    logger?: Logger;
}
/**
 * Create the microservice
 */
export declare function create<ServiceConfig>(config?: ConfigVars<ServiceConfig>, options?: Options): Promise<Service<ServiceConfig>>;
